Retrieves all the work instructions details.
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
work_instruction_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| description |
Summary on "what" the action should be done. |
string |
Max length: 4000 |
| sequence |
sequence order field for the work instruction |
integer | |
| reference_back_office |
The Id/Ref of the back office for this work instruction details. Used by Embedded entity |
string |
Max length: 255 |
| work_instruction_details_group_sequence |
sequence order field for the group |
integer | |
| work_instruction_details_group_name |
Name of the group |
string |
Max length: 4000 |
| is_archived | boolean | ||
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| show_ok |
Indicate if the OK option should be available |
boolean | |
| show_nok |
Indicate if the Not OK option should be available |
boolean | |
| show_replaced |
Indicate if the Replaced option should be available |
boolean | |
| show_na |
Indicate if the N/A option should be available |
boolean | |
| db_file_id |
Used to specify a document/photos with instruction |
globally unique identifier | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| translations |
List of translation of specific field name |
Collection of translation | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
{
"id": "c03e6c9a-9a3a-4dfc-a8ea-a05209e7dd75",
"work_instruction_id": "236ad58c-acab-4c85-91f4-f51e0cb85d7b",
"work_instruction_reference_back_office": "sample string 3",
"description": "sample string 4",
"sequence": 5,
"reference_back_office": "sample string 6",
"work_instruction_details_group_sequence": 7,
"work_instruction_details_group_name": "sample string 8",
"is_archived": true,
"type": "sample string 10",
"show_ok": true,
"show_nok": true,
"show_replaced": true,
"show_na": true,
"db_file_id": "19aabc82-7f81-405a-9fb5-7ad564a96c65",
"instruction_document_count": 16,
"db_report_type_id": "078542f9-18f9-4baa-b62a-0bf3663bbd3f",
"db_report_type_name": "sample string 18",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-06-02T13:55:03.3608167+00:00"
}